aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDuncaen <mail@duncano.de>2016-10-07 01:38:42 +0200
committerDuncaen <mail@duncano.de>2016-10-07 01:38:42 +0200
commit9e31f6c5af39c3df67761d7b924743a5420752c3 (patch)
tree2db19d28bb79f8293b0d85f44e15cc053885f564
parent218a247c5987c03c0bc99cd85d4d66774d3da74e (diff)
downloaddotfiles-9e31f6c5af39c3df67761d7b924743a5420752c3.tar.gz
mksh: use a simple prompt
-rwxr-xr-xmkshrc.d/90-prompt.sh10
1 files changed, 1 insertions, 9 deletions
diff --git a/mkshrc.d/90-prompt.sh b/mkshrc.d/90-prompt.sh
index 7449156..652ad90 100755
--- a/mkshrc.d/90-prompt.sh
+++ b/mkshrc.d/90-prompt.sh
@@ -1,9 +1 @@
-if [ -x "$(command -v slcp)" ]; then
- PS1='$(slcp $COLUMNS $?)'
-fi
-
-case "$TERM" in
- dvtm*|xterm*|rxvt*)
- PS1+='$(echo -ne "\033]0;${USER}@${HOSTNAME}: ${PWD/$HOME/~}\007")'
- ;;
-esac
+PS1='$(d=${PWD/$HOME/\~};print ${d##*/})$(((r=$?))&&print "?\e[0;31;40m$r\e[0m")$(((USER_ID))&&print \$||print \#) '